Table of Contents

Class: TwistedWordsPerson | Twisted-0.17.4/twisted/im/pbsupport.py
--- | ---

Abstract represntation of a person I can talk to on t.w

Methods |
--- | ---
__init__ getStatus isOnline metadataFailed sendMessage setStatus
| __init__

    __init__ (
            self,
            name,
            wordsClient,
            )

| getStatus

    getStatus ( self )

| isOnline

    isOnline ( self )

| metadataFailed

    metadataFailed (
            self,
            result,
            text,
            )

| sendMessage

    sendMessage (
            self,
            text,
            metadata,
            )

Return a deferred...

| setStatus

    setStatus ( self,  status )

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:12 2002 by HappyDoc version 2.0